// Copyright 2002 by Jon Dart. All Rights Reserved.
//

#include "stdafx.h"
#include "ShowGame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ShowGame dialog


ShowGame::ShowGame(const MoveArray &moves, CWnd* pParent /*=NULL*/)
	: CDialog(ShowGame::IDD, pParent),m_moves(moves)
{
	//{{AFX_DATA_INIT(ShowGame)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void ShowGame::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(ShowGame)
	DDX_Control(pDX, IDC_GAME_LIST, m_List);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(ShowGame, CDialog)
	//{{AFX_MSG_MAP(ShowGame)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ShowGame message handlers

BOOL ShowGame::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
    unsigned i = 0;
    while (i < m_moves.length())
    {
        char msg[50];
        char move1[10];
        char move2[10];
        strcpy(move1,m_moves[i].image());
        i++;
        if (i<m_moves.length()-1)
        {
           strcpy(move2,m_moves[i].image());
        }
        else
           *move2 = '\0';
        wsprintf(msg,"%d. %s",(i/2)+1,move1);
        if (strlen(msg) <= 8)
            strcat(msg,"\t");
        strcat(msg,move2);
        m_List.AddString(msg);
        i++;
    }
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
